Elastix GUI and Voicepulse Module

luvablemarmot

Joined
Sep 7, 2010
Messages
2
Likes
0
Points
0
#1
Hi all

Total newbie to elastix but I got everything working. I did use the voicepulse module in FreePBX to aid this along.

I went to go do some tuning in the elastix front end only to see if serving up a blank page and this in the apache ssl error logs:
Code:
[Mon Sep 06 21:38:38 2010] [error] [client XXX.XXX.XXX.XXX] PHP Fatal error:  require_once() [<a href='function.require'>function.require</a>]: Failed opening required 'modules/core/functions.inc.php' (include_path='.:/usr/share/pear:/usr/share/php') in /var/www/html/admin/modules/voicepulse/functions.inc.php on line 2
I'm running 2.0 of Elastix. I found this thread speaking to the issue

Two questions:

Is there a fix/will there be a fix?
If a remove the voicepulse module will it remove the configuration data (trunk/inbound/extenions) already set up?

Thanks
 

consolibyte

Joined
Feb 28, 2011
Messages
1
Likes
0
Points
0
#2
We just ran into this issue too. It breaks the entire PBX tab.

It can be fixed by editing /etc/php.ini and editing this line:
include_path = ".:/usr/share/pear:/usr/share/php:/var/www/html/admin"

If the line already exists and is uncommented, then add this to it:
/var/www/html/admin

Otherwise, uncomment and use the line posted above.
 

luvablemarmot

Joined
Sep 7, 2010
Messages
2
Likes
0
Points
0
#3
Actually I added /usr/share/php after I saw this update and that fixed the issue.

Thanks for your help. Now my voicepulse module works fine.
 

Members online

No members online now.

Latest posts

Forum statistics

Threads
30,918
Messages
130,924
Members
17,601
Latest member
andrebr
Top